{ nixosConfig, lib, ... }:
{
  config = lib.mkIf nixosConfig.my.desktop.enable {
    xdg.configFile."electron-flags.conf".text = ''
--enable-features=WaylandWindowDecorations
--ozone-platform-hint=wayland
--enable-blink-features=MiddleClickAutoscroll
--ozone-platform=wayland
'';
    xdg.configFile."code-flags.conf".text = '' 
--ozone-platform-hint=wayland
--ozone-platform=wayland
--gtk-version=4
--ignore-gpu-blocklist
--enable-features=TouchpadOverscrollHistoryNavigation
--enable-wayland-ime
--password-store=gnome-libsecret
'';
  };
}